### Method

# Vips Image inplace

#### Declaration [src]

    int
    vips_image_inplace (
      VipsImage* image
    )

#### Description [src]

Gets `image` ready for an in-place operation, such as `vips_draw_circle()`. After calling this function you can both read and write the image with `VIPS_IMAGE_ADDR()`.

This method is called for you by the base class of the draw operations, there’s no need to call it yourself.

Since this function modifies `image`, it is not thread-safe. Only call it on images which you are sure have not been shared with another thread. All in-place operations are inherently not thread-safe, so you need to take great care in any case.

See also

`vips_draw_circle()`, `vips_image_wio_input()`.

#### Return value

Type: `int`

0 on success, or -1 on error.